| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::ParameterDef Class Reference
Core » General

Definition of a parameter supported by a StringInterface class, for introspection. More...

`#include <OgreStringInterface.h>`

## Public Member Functions
| ParameterDef (const String &newName, const String &newDescription, ParameterType newType)

## Public Attributes
String | name
ParameterType | paramType

## Detailed Description

Definition of a parameter supported by a StringInterface class, for introspection.

## Constructor & Destructor Documentation

## ◆ ParameterDef()

Ogre::ParameterDef::ParameterDef | ( | const String & | newName,
|  | const String & | newDescription,
|  | ParameterType | newType
| ) |  |
| inline

## Member Data Documentation

## ◆ name

String Ogre::ParameterDef::name

Referenced by Ogre::ParamDictionary::addParameter().

## ◆ paramType

ParameterType Ogre::ParameterDef::paramType

The documentation for this class was generated from the following file:

- OgreStringInterface.h